org.apache.hadoop.yarn.server.api.protocolrecords

## Class GetTimelineCollectorContextRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.GetTimelineCollectorContextRequest

- Direct Known Subclasses:
    GetTimelineCollectorContextRequestPBImpl

      public abstract class GetTimelineCollectorContextRequest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTimelineCollectorContextRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.apache.hadoop.yarn.api.records.ApplicationId` | `getApplicationId()`
    `static GetTimelineCollectorContextRequest` | `newInstance(org.apache.hadoop.yarn.api.records.ApplicationId appId)`
    `abstract void` | `setApplicationId(org.apache.hadoop.yarn.api.records.ApplicationId appId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTimelineCollectorContextRequest

          public GetTimelineCollectorContextRequest()

  - ### Method Detail

    - #### newInstance

          public static GetTimelineCollectorContextRequest newInstance(org.apache.hadoop.yarn.api.records.ApplicationId appId)

    - #### getApplicationId

          public abstract org.apache.hadoop.yarn.api.records.ApplicationId getApplicationId()

    - #### setApplicationId

          public abstract void setApplicationId(org.apache.hadoop.yarn.api.records.ApplicationId appId)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.